<?php

/*
 * Clase para conectar a una base de datos PostgreSQL.
 * Hereda de ConexionGenerica y redefine sus mtodos de acceso a la BD.
 *
 * Juanky Moral (jcarlos.moral@dgip.mir.es)
 *
 * 6/3/2001
 */

// La clase "plantilla" de la que heredamos
require ("ConexionGenerica.php");

/**
 * CLASE ConexionPostgreSQL
 * Mtodos para conectar e interactuar con una BD PosgreSQL.
 */
class ConexionPostgreSQL extends ConexionGenerica {

	/**
         * Constructor. No hace nada. Se podra quitar ...
	 */
	function ConexionPostgreSQL() {}

	/**
	 * FUNCIN connect( bd )
         * Conecta con la base de datos en el servidor.
	 */
	function connect($bd) {
//		return $this->link = pg_connect("localhost","5432","", $bd);
		return $this->link = pg_connect("dbname=$bd user=juanky");
	}

	/**
	 * FUNCIN close()
	 * Finaliza la conexion con el servidor.
	 */
	function close() {
		return pg_close($this->link);
	}


	/**
	 * FUNCIN query( query )
	 * Realiza una consulta o actualizacin en la BD.
	 */
	function query($query) {
		return pg_exec($this->link, $query);
	}

	/**
	 * FUNCIN fetch_array( resultado )
	 * Realiza una consulta o actualizacin en la BD.
	 */
	function fetch_array($resultado,$fila) {
		return pg_fetch_array($resultado,$fila);
	}

	/**
	 * FUNCIN free_result( resultado )
	 * Libera la memoria ocupada por un resultado.
	 */
	function free_result($resultado) {
		return pg_free_result($resultado);
	}

	/**
	 * FUNCIN num_rows( resultado )
	 * Devuelve el nmero de filas de un resultado de consulta.
	 */
	function num_rows($resultado) {
		return pg_numrows($resultado);
	}

 
    /**
	 * FUNCIN rows_affected( resultado )
	 * Devuelve el nmero de filas de un resultado de Insert, Update o Delete.
	 */
	function rows_affected($resultado) {
		return pg_cmdtuples($resultado);
	}

}

?>
